Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.std.music
Class MusicMIDIPacket

    java.lang.Object
      |
      +--quicktime.util.QTByteObject
            |
            +--quicktime.std.music.MusicMIDIPacket

All Implemented Interfaces:
  java.lang.Cloneable, quicktime.jdirect.PrimitivesLib, java.io.Serializable, com.apple.jdirect.SharedLibrary, quicktime.jdirect.SharedLibrary

public final class MusicMIDIPacket
extends QTByteObject
implements quicktime.jdirect.PrimitivesLib, java.lang.Cloneable

Describes the MIDI data that is passed by note allocation calls.

See Also:
  Serialized Form

Field Summary
`static int` | `kNativeSize` This is the size (the number of bytes) that are required for this class

Fields inherited from interface quicktime.jdirect.PrimitivesLib
`JDirect_MacOSX, libraryInstance`

Constructor Summary
`MusicMIDIPacket()` The MusicMIDIPacket is used to contain MIDI messages that can be sent.
`MusicMIDIPacket(byte[] midiData)` The incoming byte[] contains MIDI data only.

Method Summary
`java.lang.Object` | `clone()` Make a copy of the MusicMIDIPacket.
`byte[]` | `getMIDIData()` Gets the current MIDI data.
`int` | `getReserved()` Gets the reserved field setting.
`void` | `setDataByte(int index, int val)` Sets the current MIDI data byte at index to the supplied value.
`void` | `setMIDIData(byte[] mData)` Sets the current MIDI data.
`java.lang.String` | `toString()` Return a string representation of this object.

Methods inherited from class quicktime.util.QTByteObject
`equals, fromArray, getBytes, getSize`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### kNativeSize

    public static final int kNativeSize

  This is the size (the number of bytes) that are required for this class

Constructor Detail

### MusicMIDIPacket

    public MusicMIDIPacket()

  The MusicMIDIPacket is used to contain MIDI messages that can be sent. out through QT
  QuickTime__MusicMIDIPacket

### MusicMIDIPacket

    public MusicMIDIPacket(byte[] midiData)

  The incoming byte[] contains MIDI data only.

Method Detail

### getMIDIData

    public byte[] getMIDIData()

  Gets the current MIDI data. The length of the packet is the length of the data array that is returned
  Returns:
    the data array containing MIDI data

### setMIDIData

    public void setMIDIData(byte[] mData)

  Sets the current MIDI data. The length of the packet is the length of the data array that is supplied. The maximum length of the data packet is 249 bytes - a longer byte array will be truncated to the first 249 bytes
  Parameters:
    `mData` - the MIDI data

### setDataByte

    public void setDataByte(int index,
                            int val)

  Sets the current MIDI data byte at index to the supplied value.
  Parameters:
    `index` - the data byte to set
    `val` - the new value

### getReserved

    public int getReserved()

  Gets the reserved field setting. Will contain zero or one of the kMusicPacket.. constants
  Returns:
    the reserved field value

### toString

    public java.lang.String toString()

  Return a string representation of this object.
  Overrides:
    `toString` in class `QTByteObject`

### clone

    public java.lang.Object clone()

  Make a copy of the MusicMIDIPacket.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD